*** a/doc/src/sgml/ref/reindex.sgml
--- b/doc/src/sgml/ref/reindex.sgml
***************
*** 21,27 **** PostgreSQL documentation
  
   <refsynopsisdiv>
  <synopsis>
! REINDEX { INDEX | TABLE | SCHEMA | DATABASE | SYSTEM } <replaceable class="PARAMETER">name</replaceable> [ FORCE ]
  </synopsis>
   </refsynopsisdiv>
  
--- 21,27 ----
  
   <refsynopsisdiv>
  <synopsis>
! REINDEX { INDEX | TABLE | SCHEMA | DATABASE | SYSTEM } <replaceable class="PARAMETER">name</replaceable>
  </synopsis>
   </refsynopsisdiv>
  
***************
*** 150,164 **** REINDEX { INDEX | TABLE | SCHEMA | DATABASE | SYSTEM } <replaceable class="PARAM
       </para>
      </listitem>
     </varlistentry>
- 
-    <varlistentry>
-     <term><literal>FORCE</literal></term>
-     <listitem>
-      <para>
-       This is an obsolete option; it is ignored if specified.
-      </para>
-     </listitem>
-    </varlistentry>
    </variablelist>
   </refsect1>
  
--- 150,155 ----
*** a/src/backend/parser/gram.y
--- b/src/backend/parser/gram.y
***************
*** 7301,7313 **** opt_if_exists: IF_P EXISTS						{ $$ = TRUE; }
   *
   *		QUERY:
   *
!  *		REINDEX type <name> [FORCE]
!  *
!  * FORCE no longer does anything, but we accept it for backwards compatibility
   *****************************************************************************/
  
  ReindexStmt:
! 			REINDEX INDEX qualified_name opt_force
  				{
  					ReindexStmt *n = makeNode(ReindexStmt);
  					n->kind = REINDEX_OBJECT_INDEX;
--- 7301,7311 ----
   *
   *		QUERY:
   *
!  *		REINDEX type <name>
   *****************************************************************************/
  
  ReindexStmt:
! 			REINDEX INDEX qualified_name
  				{
  					ReindexStmt *n = makeNode(ReindexStmt);
  					n->kind = REINDEX_OBJECT_INDEX;
***************
*** 7315,7321 **** ReindexStmt:
  					n->name = NULL;
  					$$ = (Node *)n;
  				}
! 			| REINDEX TABLE qualified_name opt_force
  				{
  					ReindexStmt *n = makeNode(ReindexStmt);
  					n->kind = REINDEX_OBJECT_TABLE;
--- 7313,7319 ----
  					n->name = NULL;
  					$$ = (Node *)n;
  				}
! 			| REINDEX TABLE qualified_name
  				{
  					ReindexStmt *n = makeNode(ReindexStmt);
  					n->kind = REINDEX_OBJECT_TABLE;
***************
*** 7323,7329 **** ReindexStmt:
  					n->name = NULL;
  					$$ = (Node *)n;
  				}
! 			| REINDEX SCHEMA name opt_force
  				{
  					ReindexStmt *n = makeNode(ReindexStmt);
  					n->kind = REINDEX_OBJECT_SCHEMA;
--- 7321,7327 ----
  					n->name = NULL;
  					$$ = (Node *)n;
  				}
! 			| REINDEX SCHEMA name
  				{
  					ReindexStmt *n = makeNode(ReindexStmt);
  					n->kind = REINDEX_OBJECT_SCHEMA;
***************
*** 7331,7337 **** ReindexStmt:
  					n->relation = NULL;
  					$$ = (Node *)n;
  				}
! 			| REINDEX SYSTEM_P name opt_force
  				{
  					ReindexStmt *n = makeNode(ReindexStmt);
  					n->kind = REINDEX_OBJECT_SYSTEM;
--- 7329,7335 ----
  					n->relation = NULL;
  					$$ = (Node *)n;
  				}
! 			| REINDEX SYSTEM_P name
  				{
  					ReindexStmt *n = makeNode(ReindexStmt);
  					n->kind = REINDEX_OBJECT_SYSTEM;
***************
*** 7339,7345 **** ReindexStmt:
  					n->relation = NULL;
  					$$ = (Node *)n;
  				}
! 			| REINDEX DATABASE name opt_force
  				{
  					ReindexStmt *n = makeNode(ReindexStmt);
  					n->kind = REINDEX_OBJECT_DATABASE;
--- 7337,7343 ----
  					n->relation = NULL;
  					$$ = (Node *)n;
  				}
! 			| REINDEX DATABASE name
  				{
  					ReindexStmt *n = makeNode(ReindexStmt);
  					n->kind = REINDEX_OBJECT_DATABASE;
***************
*** 7349,7358 **** ReindexStmt:
  				}
  		;
  
- opt_force:	FORCE									{  $$ = TRUE; }
- 			| /* EMPTY */							{  $$ = FALSE; }
- 		;
- 
  
  /*****************************************************************************
   *
--- 7347,7352 ----
